catalog

package
Version: v2.0.8+incompatible Latest Latest
Warning

This package is not in the latest version of its module.

Go to latest
Published: Aug 24, 2018 License: Apache-2.0 Imports: 20 Imported by: 0

Documentation

Index

Constants

This section is empty.

Variables

This section is empty.

Functions

func CollectionFormatter

func CollectionFormatter(request *types.APIContext, collection *types.GenericCollection)

func Formatter

func Formatter(apiContext *types.APIContext, resource *types.RawResource)

func TemplateFormatter

func TemplateFormatter(apiContext *types.APIContext, resource *types.RawResource)

Types

type ActionHandler

type ActionHandler struct {
	CatalogClient v3.CatalogInterface
}

func (ActionHandler) ExportYamlHandler

func (a ActionHandler) ExportYamlHandler(apiContext *types.APIContext, next types.RequestHandler) error

func (ActionHandler) RefreshActionHandler

func (a ActionHandler) RefreshActionHandler(actionName string, action *types.Action, apiContext *types.APIContext) error

type TemplateVerionFormatterWrapper

type TemplateVerionFormatterWrapper struct {
	TemplateContentClient v3.TemplateContentInterface
}

func (TemplateVerionFormatterWrapper) TemplateVersionFormatter

func (t TemplateVerionFormatterWrapper) TemplateVersionFormatter(apiContext *types.APIContext, resource *types.RawResource)

func (TemplateVerionFormatterWrapper) TemplateVersionReadmeHandler

func (t TemplateVerionFormatterWrapper) TemplateVersionReadmeHandler(apiContext *types.APIContext, next types.RequestHandler) error

type TemplateWrapper

type TemplateWrapper struct {
	TemplateContentClient v3.TemplateContentInterface
}

func (TemplateWrapper) TemplateIconHandler

func (t TemplateWrapper) TemplateIconHandler(apiContext *types.APIContext, next types.RequestHandler) error

Jump to

Keyboard shortcuts

? : This menu
/ : Search site
f or F : Jump to
y or Y : Canonical URL